Subject: Re: bug#27708: [PROPOSED] Simplify configuration of HAVE_GNUTLS3 etc.

From: Paul Eggert <[email-masked]>
Date: Sun, 16 Jul 2017 08:18:57 -0700

Eli Zaretskii wrote:
> if
> we want to allow as many of these APIs to be useful on as many
> platforms, we need to do more work on the code.

One possible step forward is to use each of the APIs starting when they became 
available, as opposed to the current practice of using some of them only in 
GnuTLS v3 or later (even though they were available earlier). I could adjust my 
proposed patch to do that, if you like. Unlike my proposed patch, this would 
change Emacs behavior (but only on older GnuTLS platforms).